# CLI Developer Update v17.0

The new CLI version introduces big improvements to the codebase and allows 
other developers to import the `flowcli` package directly in their Go projects.

The configuration was unified and you can now use the new configuration format for all the commands.

The commands and flags were adapted for more consistency.
The new [documentation](https://docs.onflow.org/flow-cli/) covers all the commands you can use. 

This release also includes CLI design guidelines that you 
can read the [CONTRIBUTING.md](https://github.com/onflow/flow-cli/blob/master/CONTRIBUTING.md) document.

We've also deprecated some features and improved deprecation warnings. Commands now include deprecated flags which instruct you 
on how to use the command with new flags. We're aiming to wait 2 weeks before removing deprecated functionality.

For example:

```
❌ Command Error: ⚠️  No longer supported: use command argument.
```

Improved error reporting with suggestions on how to fix the error:

```
❌ Error while dialing dial tcp 127.0.0.1:3569: connect: connection refused" 
🙏 Make sure your emulator is running or connection address is correct.
```

You can find the full release notes here: {{RELEASE_NOTES}}
